Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 186831 - wzdftpd 0.8.2 ebuild (new addition to portage tree)
Summary: wzdftpd 0.8.2 ebuild (new addition to portage tree)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-07-27 18:52 UTC by virdiq
Modified: 2009-04-10 04:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-ftp/wzdftpd/wzdftpd-0.8.2.ebuild (wzdftpd-0.8.2.ebuild,4.10 KB, text/plain)
2007-07-27 19:00 UTC, virdiq
Details
net-ftp/wzdftpd/files/wzdftpd-0.8.2-perlinc.patch (wzdftpd-0.8.2-perlinc.patch,1.73 KB, text/plain)
2007-07-27 19:03 UTC, virdiq
Details
Proposed ebuild for net-ftp/wzdftpd-0.8.3 (wzdftpd-0.8.3.ebuild,1.78 KB, text/plain)
2008-02-17 04:45 UTC, Bernhard Frauendienst
Details
Update ebuild for =net-ftp/wzdftpd-0.8.3 (wzdftpd-0.8.3.ebuild,1.79 KB, text/plain)
2008-02-18 18:12 UTC, Bernhard Frauendienst
Details
Proposed ebuild for net-ftp/wzdftpd-9999 (svn version) (wzdftpd-9999.ebuild,1.91 KB, text/plain)
2008-02-18 18:12 UTC, Bernhard Frauendienst
Details
Adds sqlite dependency if the dupecheck plugin is being built (fixes 2008-02-18 ebuild from Bernhard Frauendienst) (wzdftpd-9999.ebuild,1.80 KB, text/plain)
2008-03-20 04:06 UTC, virdiq
Details
Fixed small typo with gcc optimization flags that prevented build with CMake (wzdftpd-0.8.3.ebuild,1.70 KB, text/plain)
2008-03-20 17:03 UTC, virdiq
Details
Fixed small typo with gcc optimization flags that prevented build with CMake (wzdftpd-9999.ebuild,1.80 KB, text/plain)
2008-03-20 17:04 UTC, virdiq
Details

Note You need to log in before you can comment on or make changes to this bug.
Description virdiq 2007-07-27 18:52:54 UTC
wzdftpd is not currently in the portage tree. An ebuild has been written and partially tested for compiling and installing wzdftpd 0.8.2 on Gentoo Linux.

Reproducible: Always

Steps to Reproduce:
Comment 1 virdiq 2007-07-27 19:00:05 UTC
Created attachment 126170 [details]
net-ftp/wzdftpd/wzdftpd-0.8.2.ebuild
Comment 2 virdiq 2007-07-27 19:03:52 UTC
Created attachment 126171 [details]
net-ftp/wzdftpd/files/wzdftpd-0.8.2-perlinc.patch

Patches wzdftpd 0.8.2 so that the Perl libraries/headers are found correctly by CMake. This is a somewhat Gentoo-specific bug because the Perl path has an underscore in the pathname on Gentoo. This patch fixes a regex bug in the wzdftpd CMake script where Perl pathnames with an underscore in them would not be recognized.

This patch has been applied to upstream SVN.
Comment 3 virdiq 2007-07-27 19:06:33 UTC
Note that I am a wzdftpd developer and therefore I'm willing to maintain this release. I'm somewhat new to Gentoo/ebuilds so there are likely some changes which need to be made to the first ebuild I've uploaded here.

More info on wzdftpd (the bugtracker/wiki/mailing lists/etc) @ http://www.wzdftpd.net
Comment 4 virdiq 2007-07-27 19:11:01 UTC
For reference, here is the wzdftpd ticket regarding the new ebuild for 0.8.2:
https://www.wzdftpd.net/trac/ticket/137
Comment 5 Bernhard Frauendienst 2008-02-17 04:45:32 UTC
Created attachment 143734 [details]
Proposed ebuild for net-ftp/wzdftpd-0.8.3

I cleaned up the ebuild from the wzdftpd tree a little, using cmake-utils.eclass amongst others.
It installs fine here on amd64 and x86, but I haven't been able to test the server itself.

The perl-inc patch is no longer needed since it was included upstream in 0.8.3
Comment 6 Bernhard Frauendienst 2008-02-17 04:49:08 UTC
Another change I forgot to mention: if both ssl and gnutls use flags are selected, the ebuild let's the build system decide, which favors GnuTLS (which is the indented behaviour).

Also, the build seems to work fine without the -j1 limitation, but I'm not really an expert on that matter.
Comment 7 Bernhard Frauendienst 2008-02-18 18:12:14 UTC
Created attachment 143886 [details]
Update ebuild for =net-ftp/wzdftpd-0.8.3

Update the ebuild to not depend on openssl if it's not used, plus removed the -j1 limitation (built fine so far without it).

Updated SVN ebuild coming right up.
Comment 8 Bernhard Frauendienst 2008-02-18 18:12:58 UTC
Created attachment 143888 [details]
Proposed ebuild for net-ftp/wzdftpd-9999 (svn version)
Comment 9 virdiq 2008-03-20 03:52:29 UTC
Hi Bernhard, thank you for cleaning up and fixing the ebuild's.

I just had one question regarding cmake-utils.eclass and that is, I assume that having the "debug" USE flag activated will automatically add the "-DCMAKE_BUILD_TYPE=Debug" configure option as shown in the cmake-utils.eclass source code:


	if has debug ${IUSE//+} && use debug; then
		echo -DCMAKE_BUILD_TYPE=Debug
	else
		echo -DCMAKE_BUILD_TYPE=Release
	fi


Again, thank you for updating the ebuilds. I've added them to the wzdftpd source repositories as well.
Comment 10 virdiq 2008-03-20 04:03:36 UTC
Also note that I've added a "dev-db/sqlite" dependency requirement to the SVN build if the "dupecheck" USE flag is enabled. This is because the dupecheck plugin uses a sqlite database to store data. The "sqlite" USE flag is different in that it will build the sqlite authentication plugin.
Comment 11 virdiq 2008-03-20 04:06:23 UTC
Created attachment 146634 [details]
Adds sqlite dependency if the dupecheck plugin is being built (fixes 2008-02-18 ebuild from Bernhard Frauendienst)
Comment 12 virdiq 2008-03-20 17:03:54 UTC
Created attachment 146657 [details]
Fixed small typo with gcc optimization flags that prevented build with CMake

See upstream commit https://www.wzdftpd.net/trac/changeset/1957
Comment 13 virdiq 2008-03-20 17:04:47 UTC
Created attachment 146659 [details]
Fixed small typo with gcc optimization flags that prevented build with CMake

See upstream commit https://www.wzdftpd.net/trac/changeset/1957
Comment 14 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-10 04:57:21 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq